#!/bin/sh

num_tiles=$1
hostlist=""

for tile in `seq 1 $num_tiles`; do
    zeropadtile=`printf "%02d" $tile`
    hostlist="$hostlist vg-vct${zeropadtile}.sh"
done

for host in $hostlist; do
    sed -i ./$host -e s/decnum}-1/decnum}/g
    sed -i ./$host -e s/vg-vct/vct/g
    sed -i ./$host -e s/00:50:58:79:00/00:50:58:80:00/g
    sed -i ./$host -e s/num_bridges=3/num_bridges=6/g
    sed -i ./$host -e s/"ctl\$cpu_set"/"ctl"/g
done


